centos5安装supervisor 3.1.3
发布日期:2021-08-29 00:27:01 浏览次数:0 分类:技术文章

Centos5的yum捆绑的是python2.4的版本,该版本无法安装最新版的supervisor,而只能通过

1
yum  install  -y supervisor

来安装supervisor2.1.3的版本,下面将介绍如何在Centos5上安装supervisor3.1.3

1.   首先升级python到2.6以上的版本,这里不再复赘百度上有很多教程

       升级之后,对原有python版本进行备份,并将2.6版本软链接到/usr/bin/python

1
2
mv  /usr/bin/python   /usr/bin/python_bak  
ln  -s  /usr/local/bin/python2 .6  /usr/bin/python


2.  修复yum

1
vi  /usr/bin/yum

 将文本编辑显示的#/usr/bin/python修改为#/usr/bin/python2.4,保存修改 


3.  安装easy_isntall

1
2
wget --no-check-certificate https: //bootstrap .pypa.io /ez_setup .py
python ez_setup.py --insecure

    上面的命令仅适用于centos5的版本,其余版本还请看


4.  安装supervisor 3.1.3

1
easy_install supervisor


5. 生成配置文件(supervisord.conf):

1
echo_supervisord_conf >  /etc/supervisord .conf









本文转自 ponpon_ 51CTO博客,原文链接:http://blog.51cto.com/liuxp0827/1713995,如需转载请自行联系原作者
上一篇:扑克牌例题与Collections工具类
下一篇:zabbix监控服务器的11中状态